Subject: bug#73332: 31.0.50; Whitespace-mode breaking font-locking

From: Eli Zaretskii <[email-masked]>
Date: Sat, 21 Sep 2024 13:49:42 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: Jordan Ellis Coppard <[email-masked]>,  Richard Hansen
>  <[email-masked]>,  [email-masked]
> Date: Thu, 19 Sep 2024 11:50:26 -0400
> 
> But personally I think the root cause is the use of OVERRIDE and I'd
> replace it with `prepend` as in the patch below, but whitespace uses
> OVERRIDE "everywhere", whereas my argument would suggest it should use
> `prepend` at all those places, which is likely beyond the scope of `emacs-30`.

Thanks.  I installed on the the change in your name (in addition to my
part,macs-30 branch which fixes refontification of the last character
at EOB when point moves).  I hope I didn't misunderstand you, and
removing OVERRIDE in that one place together with using 'prepend' will
not cause any unintended consequences.